Subject: bug#60659: 30.0.50; tree-sitter: identical nodes are not `equal'

From: Yuan Fu <[email-masked]>
Date: Mon, 9 Jan 2023 21:56:19 -0800

Mickey Petersen <[email-masked]> writes:

> Yuan Fu <[email-masked]> writes:
>
>> Mickey Petersen <[email-masked]> writes:
>>
>>> In order to check for node equality, one must use `treesit-node-eq'.
>>>
>>> But I see little reason why two identical nodes in in the same tree aren't `equal'?
>>
>> Indeed. I’ll see if I can extend equal to handle tree-sitter nodes.
>>
>
> Nice one. This will allow for membership checks with `member' and
> such-like and it'll greatly cut down on custom code, particularly one
> you start writing tests!
>
>> Yuan

Eli, does this look right to you? In particular, I’m not sure if it’s ok to call a lisp function (Ftreesit_node_eq) inside internal_equal, even though it never signals. 

Yuan